Bug 442079 - using kickstart option --ignoredisks to skip redundant SAN paths fails
using kickstart option --ignoredisks to skip redundant SAN paths fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.1
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 12:30 EDT by Jay Rishel
Modified: 2008-06-09 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 15:12:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example ks file (1.13 KB, text/plain)
2008-04-11 12:30 EDT, Jay Rishel
no flags Details

  None (edit)
Description Jay Rishel 2008-04-11 12:30:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):
RHEL5.1 DVD

How reproducible:
everytime

Steps to Reproduce:
1. do a kickstart install to SAN boot a system with two SAN drives presented
over two HBA paths and 1 local disk array cciss/c0d0
2. sda has redundant path sdc and sdb had redundant path sdd
3. in kickstart file, specify --ignoredisks=sdc,sdd and /boot and root install
to sda
  
Actual results:
system isn't installed to sda as directed and grub is installed on the local
disk array, cciss/c0d0, when booting, stop as a "grub>" prompt.



Expected results:
system installed with grub in sda.

Additional info:
I am able to work around this by having our SAN disabled the second path, so
only sda and sdb are seen during install
Comment 1 Jay Rishel 2008-04-11 12:30:38 EDT
Created attachment 302143 [details]
example ks file
Comment 2 Joel Andres Granados 2008-04-18 09:32:28 EDT
Wonder if the san devices are getting added to DiskSet.skippedDisks?
Comment 3 Peter Jones 2008-04-30 15:28:13 EDT
Why aren't you using multipath instead of specifying "sda" here?
Comment 4 Jay Rishel 2008-04-30 15:33:24 EDT
is mpio supported for SAN booting? wasn't able to find that documented.  Our
current solution is to use EMC's PowerPath after the initial kickstart is
complete, but I'd much rather go with mpio, if you can point me in the right
direction.
Comment 5 Peter Jones 2008-04-30 18:00:28 EDT
With RHEL 5.2, the multipath device should be autodetected and show up as
/dev/mapper/mpath0 (with partitions being mpath0p1, mpath0p2, etc.).  Is that
not working?
Comment 6 Jay Rishel 2008-05-01 14:54:27 EDT
no, that is not occurring. I just tried replacing the sda references in the ks
file with mpath0 and it wouldn't install. This is red hat 5.1.  I'll download
the 5.2 beta and see if I get the mpio devices.
Comment 7 Chris Lumens 2008-06-09 14:57:07 EDT
NAKing as we are likely not going to have the capacity to get this fixed in 5.3.
 Please do try out 5.2 and see if it's working better for you, though, as we
think that should be the case.
Comment 8 RHEL Product and Program Management 2008-06-09 15:12:53 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.